# Class RWSVectorStore

- Defined in src/models/convo/VectorStore.ts:7

#####
Index

### Constructors

constructor

### Properties

docs
embeddings
faiss

### Methods

getFaiss
init

## Constructors

### constructor

- new RWSVectorStore(docs, embeddings): RWSVectorStore

- #### Parameters

  - ##### docs: VectorDocType

  - ##### embeddings: EmbeddingsInterface

  #### Returns RWSVectorStore

  - Defined in src/models/convo/VectorStore.ts:13

## Properties

### `Private` docs

docs: VectorDocType

- Defined in src/models/convo/VectorStore.ts:10

### `Private` embeddings

embeddings: EmbeddingsInterface

- Defined in src/models/convo/VectorStore.ts:11

### `Private` faiss

faiss: FaissStore

- Defined in src/models/convo/VectorStore.ts:9

## Methods

### getFaiss

- getFaiss(): FaissStore

- #### Returns FaissStore

  - Defined in src/models/convo/VectorStore.ts:25

### init

- init(): Promise<RWSVectorStore>

- #### Returns Promise<RWSVectorStore>

  - Defined in src/models/convo/VectorStore.ts:18

Generated using TypeDoc